@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP&display=swap");
@import url("https://use.typekit.net/zkq2emd.css");
html {
    width: 100%;
    overflow-x: hidden;
}

body {
    margin: 0;
    font-family: "Noto Sans JP", sans-serif;
}

.top-header {
    display: block;
    width: 100%;
    height: 34vw;
    max-height: 600px;
    overflow: hidden;
    position: relative;
}

.header-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: 1;
    filter: brightness(0.5);
    transform: scale(1.5);
}

.top-header video {
    width: 100%;
    height: auto;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
}

/* .top-header img {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
} */

.header-overlay {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 2;
    opacity: 1;
    background: url(../assets/images/general/kv_dot.png) repeat 0 0;
    background-size: 4px 4px;
}

.header-overlay::before {
    content: "";
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
}

.header-overlay .v2 {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    opacity: 50%;
    filter: none;
}

h1.top_ttl {
    position: absolute;
    color: white;
    z-index: 2;
    font-family: rift, sans-serif;
    letter-spacing: 2px;
    font-size: 5vw;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    left: 50%;
    top: 45%;
}

.service-top-parent {
    background: url(../assets/images/general/bg-pc.png);
    background-size: 80%;
    background-position: -100% 0vw;
    background-repeat: no-repeat;
    padding: 60px 0px 60px;
}

.service-top-ttl-parent {
    width: 800px;
    margin: auto;
}

.service-top-section {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.service-top-section h2 {
    color: #ac1821;
    font-size: 90px;
    margin: 0;
    font-family: rift, sans-serif;
    line-height: 1;
}

.service-top-section p {
    color: #ac1821;
    font-size: 15px;
    margin-bottom: 10px;
    margin-left: 4px;
    font-weight: bold;
}

p.service-single-text {
    font-size: 15px;
    width: 100%;
    margin: auto;
}

.homepage-main {
    width: 100%;
    height: max-content;
    overflow: hidden;
    padding-top: 70px;
}

.hp1 {
    display: block;
    width: 67%;
    height: max-content;
    float: right;
    padding-bottom: 55px;
}

.hp1-text-parent {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin-top: 15px;
}

.hp1 img {
    width: 100%;
}

p.hp1-ttl {
    margin: 0;
    width: max-content;
    padding-right: 15px;
    color: #bd1821;
    font-weight: bolder;
    font-size: 20px;
    letter-spacing: 1px;
}

.hp-line {
    border-left: 1px solid #bd1821;
    height: 60px;
    width: 2%;
}

.hp1-text {
    width: 70%;
    font-size: 13px;
    letter-spacing: 1px;
}

a.s-link {
    color: inherit;
    text-decoration: none;
}

.hvr {
    position: absolute;
    height: 100%;
    width: 100%;
    background: #ac1821;
    opacity: 0.9;
    left: 0;
    top: 100%;
    bottom: 0;
    right: 0;
    transition: 0.5s ease;
    z-index: 2;
    align-items: center;
    display: flex;
    justify-content: center;
}

.hvr p {
    width: max-content;
    padding: 12px 24px;
    margin: auto;
    font-family: "Noto Sans JP";
    color: white;
    border: 1px solid white;
    opacity: 0;
    transition: 1s ease;
}

.hp1:hover .hvr {
    top: 0;
}

.hp1:hover .hvr p {
    opacity: 1;
}

.hvr p:hover {
    color: #ac1821;
    background: white;
}

.hp2:hover .hvr {
    top: 0;
}

.hp2:hover .hvr p {
    opacity: 1;
}

.hp2 {
    display: block;
    width: 67%;
    height: max-content;
    float: left;
    padding-bottom: 55px;
}

.hp2-text-parent {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    margin-top: 15px;
}

.hp2 img {
    width: 100%;
}

p.hp2-ttl {
    margin: 0;
    width: max-content;
    padding-right: 15px;
    color: #bd1821;
    font-weight: bolder;
    font-size: 20px;
    letter-spacing: 1px;
}

.hp-line {
    border-left: 0.1px solid #bd1821;
    height: 60px;
    width: 2%;
}

.hp2-text {
    width: 70%;
    font-size: 13px;
    letter-spacing: 1px;
}

.ob-parent {
    width: 28%;
    height: auto;
    margin: auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 120px 0px 75px 0%;
    flex-direction: column;
}

.ob-parent img {
    width: 4%;
}

p.ob {
    font-size: 30px;
    margin: 1% 7%;
    font-family: yu-mincho-pr6n, sans-serif;
    font-style: normal;
    font-weight: bold;
    letter-spacing: 2px;
}

.scroll-d {
    writing-mode: vertical-rl;
    font-size: 10px;
    letter-spacing: 2px;
    padding-right: 2%;
}

.hp-parent1 {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    overflow: hidden;
    align-items: flex-start;
}

.hp-parent2 {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    overflow: hidden;
    align-items: flex-start;
}

p.cw {
    writing-mode: vertical-lr;
    color: #bd1821;
    font-weight: bold;
    font-size: 11px;
    margin: 0px 5px;
    letter-spacing: 2.5px;
    font-family: yantramanav, sans-serif;
}

.home-rec-parent {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    padding-top: 2%;
}

.home-rec {
    display: flex;
    width: 48%;
}

.home-rec img {
    width: 100%;
    height: auto;
}

.home-rec2 {
    width: 52%;
    display: flex;
    align-items: flex-start;
    background: #bd1821;
    flex-direction: column;
    justify-content: center;
}

.home-rec2 img {
    width: 50%;
    display: flex;
    padding-left: 38%;
}

p.home-rec-text {
    font-size: 20px;
    padding-left: 23%;
    color: white;
    text-align: center;
    margin-block-end: 0;
    line-height: 0.9;
    letter-spacing: 1px;
}

span.home-rec-text2 {
    font-size: 10px;
    text-align: center;
    margin: 0;
    /* letter-spacing: 2px; */
}

.home-more-info {
    display: flex;
    width: max-content;
    height: max-content;
    margin: auto;
    text-align: left;
    padding-bottom: 40px;
    padding-top: 32px;
    border-bottom: 1px solid gray;
}

/* p.home-info-ttl {
    padding-left: 20px;
} */

p.home-info-ttl,
p.home-info-ttl2,
p.home-info-ttl3 {
    color: #bd1821;
    font-weight: bold;
    font-size: 17px;
    letter-spacing: 1px;
    margin-top: 0;
    text-align: center;
}

ul.home-info,
ul.home-info3 {
    margin: 0;
}

ul.home-info {
    padding-inline-start: 99px;
}

ul.home-info2 {
    padding-inline-start: 70px;
}

ul.home-info3 {
    padding-inline-start: 101px;
}

li.home-info,
li.home-info2,
li.home-info3 {
    text-align: left;
    line-height: 2.4;
    list-style-type: none;
    display: flex;
    font-size: 13px;
    text-align: left;
    letter-spacing: 1px;
}

li.home-info::before {
    content: "-";
    text-indent: -11px;
}

li.home-info2::before {
    content: "-";
    text-indent: -11px;
}

li.home-info3::before {
    content: "-";
    text-indent: -11px;
}

.home-info-1 {
    width: 270px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.home-info-2 {
    width: 280px;
    border-left: 0.1px solid gray;
    border-right: 0.1px solid gray;
}

.home-info-3 {
    width: 270px;
    display: flex;
    flex-direction: column;
}

.home-news {
    width: max-content;
    height: 180px;
    margin: auto;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding-bottom: 15px;
}

h2.news-ttl {
    color: #bd1821;
    font-size: 20px;
    letter-spacing: 1px;
}

.news-content {
    display: flex;
    flex-direction: row;
    line-height: 2.6;
    font-size: 13px;
    /* letter-spacing: 2px; */
}

.news-date {
    color: #bd1821;
    padding-right: 23px;
    letter-spacing: 1px;
    font-weight: bold;
}

.news-ttl2 {
    letter-spacing: 1px;
}

.home-map {
    width: 100%;
    height: 450px;
    overflow: hidden;
    -webkit-filter: grayscale(100%);
    filter: grayscale(1);
    padding-top: 2%;
}

/* aos animation */

.reveal-holder {
    position: relative;
    display: flex;
    overflow: hidden;
    flex-direction: row;
}

.reveal-holder2 {
    position: relative;
    display: flex;
    overflow: hidden;
    flex-direction: row;
    align-items: flex-end;
}

.reveal-holder.left {
    justify-content: flex-end;
}

.reveal-holder.right {
    justify-content: flex-start;
}

.reveal-holder .reveal-block {
    position: absolute;
    top: 0;
    width: 100%;
    height: 101%;
    background: white;
    z-index: 3;
}

.reveal-holder2 .reveal-block2 {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: white;
}

.reveal-holder2 .reveal-block2::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #bd1821;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    /* transition-duration: 5.5s; */
}

.reveal-holder .reveal-block::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: white;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    /* transition-duration: 5.5s; */
}

.reveal-block.top.aos-animate::before,
.reveal-block.bottom.aos-animate::before {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
}

.reveal-block.left.aos-animate::before,
.reveal-block.right.aos-animate::before {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}

.reveal-block.top::before {
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
}

.reveal-block.left::before {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
}

.reveal-block.right::before {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
}

.reveal-block.bottom::before {
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
}

/* AOS animate */

[data-aos="reveal-top"],
[data-aos="reveal-left"],
[data-aos="reveal-right"],
[data-aos="reveal-bottom"] {
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    transition-delay: 0.5s;
}

[data-aos="reveal-top"] {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
}

[data-aos="reveal-top"].aos-animate {
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
}

[data-aos="reveal-left"] {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}

[data-aos="reveal-left"].aos-animate {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
}

[data-aos="reveal-right"] {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}

[data-aos="reveal-right"].aos-animate {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
}

[data-aos="reveal-bottom"] {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
}

[data-aos="reveal-bottom"].aos-animate {
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
}

[data-aos="reveal-item"] {
    visibility: hidden;
    transition-property: visibility;
    transition-duration: 0s;
}

[data-aos="reveal-item"].aos-animate {
    visibility: visible;
}

/* end aos animation */

/* slider */

.slider-parent {
    width: 100%;
    height: auto;
    max-height: 212px;
    display: flex;
    justify-content: center;
    flex-direction: row;
    padding-top: 60px;
}

.slider-holder {
    width: 75%;
    float: left;
}

p.cw-rvt {
    writing-mode: vertical-lr;
    color: #bd1821;
    font-weight: bold;
    font-size: 11px;
    margin: 0px 5px;
    letter-spacing: 2.5px;
    font-family: yantramanav, sans-serif;
    height: max-content;
}

/* slider */

.line_parent {
    position: relative;
    overflow: hidden;
}

.thin_line {
    background-color: black;
    width: 1px;
    height: 6vw;
    text-align: center;
    animation: scrolldown_animation 3s ease 0s infinite;
}

@keyframes scrolldown_animation {
    0% {
        transform: translateY(-100%);
    }
    20%,
    75% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(120%);
    }
}

.page-ttl-parent {
    position: absolute;
    bottom: 0;
    left: 0;
    background: white;
    z-index: 3;
    width: 50%;
    height: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
}

h1.text_A,
h1.text_B {
    color: #bd1821;
    padding: 0px 2vw;
    font-size: 40px;
}

h1.text_A {
    border-right: 1px solid #bd1821;
}

img.top-header-image {
    width: 100%;
}
